Gtk_Layout(3)

NAME - Gtk_Layout

HEADER REQUIRED
#include <gtk--/layout.h&gt;>

BASE CLASSES
Gtk_Container(3)

PROPERTIES

children
    Type: GList*

width
    Type: guint

height
    Type: guint

xoffset
    Type: guint

yoffset
    Type: guint

hadjustment
    Type: GtkAdjustment*

vadjustment
    Type: GtkAdjustment*

bin_window
    Type: GdkWindow*

visibility
    Type: GdkVisibilityState

configure_serial
    Type: gulong

scroll_x
    Type: gint

scroll_y
    Type: gint

freeze_count
    Type: guint

     .IP

PUBLIC MEMBER INDEX
    Gtk_Layout(Gtk_Adjustment &hadjustment, Gtk_Adjustment &vadjustment);
    Gtk_Layout(GtkLayout *castitem);
    ~Gtk_Layout();
    void  put(const Gtk_Widget &widget, gint x, gint y);
    void  move(const Gtk_Widget &widget, gint x, gint y);
    void  set_size(guint width, guint height);
    void  freeze();
      These disable and enable moving and repainting the scrollingwindow of the GtkLayout, respectively. If you want to update thelayout's offsets but do not want it to repaint itself, you shoulduse these functions.
    void  thaw();
    const Gtk_Adjustment*  get_hadjustment() const;
    const Gtk_Adjustment*  get_vadjustment() const;
    Gtk_Adjustment*  get_hadjustment();
    Gtk_Adjustment*  get_vadjustment();
    void  set_hadjustment(Gtk_Adjustment &hadj);
    void  set_vadjustment(Gtk_Adjustment &hadj);
    GtkLayout*  gtkobj();
    const GtkLayout*  gtkobj() const;
    static bool  isGtkLayout(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkLayout  BaseObjectType;
    typedef GtkLayoutClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ObjectHandle  hadjustment_, vadjustment_;

PRIVATE MEMBER INDEX
    static CppClassType  layout_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS